"use strict";

exports.oneOrMore = oneOrMore;
exports.optional = optional;
exports.zeroOrMore = zeroOrMore;
var _encoder = require("../encoder.js");
var _utils = require("../utils.js");
function zeroOrMore(sequence, options) {
  const elements = (0, _utils.ensureElements)(sequence);
  return {
    precedence: 'sequence',
    pattern: `${(0, _encoder.encodeAtomic)(elements)}*${options?.greedy === false ? '?' : ''}`
  };
}
function oneOrMore(sequence, options) {
  const elements = (0, _utils.ensureElements)(sequence);
  return {
    precedence: 'sequence',
    pattern: `${(0, _encoder.encodeAtomic)(elements)}+${options?.greedy === false ? '?' : ''}`
  };
}
function optional(sequence, options) {
  const elements = (0, _utils.ensureElements)(sequence);
  return {
    precedence: 'sequence',
    pattern: `${(0, _encoder.encodeAtomic)(elements)}?${options?.greedy === false ? '?' : ''}`
  };
}
//# sourceMappingURL=quantifiers.js.map