import { encodeAtomic } from "../encoder.mjs";
import { ensureElements } from "../utils.mjs";
export function zeroOrMore(sequence, options) {
  const elements = ensureElements(sequence);
  return {
    precedence: 'sequence',
    pattern: `${encodeAtomic(elements)}*${options?.greedy === false ? '?' : ''}`
  };
}
export function oneOrMore(sequence, options) {
  const elements = ensureElements(sequence);
  return {
    precedence: 'sequence',
    pattern: `${encodeAtomic(elements)}+${options?.greedy === false ? '?' : ''}`
  };
}
export function optional(sequence, options) {
  const elements = ensureElements(sequence);
  return {
    precedence: 'sequence',
    pattern: `${encodeAtomic(elements)}?${options?.greedy === false ? '?' : ''}`
  };
}
//# sourceMappingURL=quantifiers.mjs.map