import { encodeAtomic } from "../encoder.mjs";
import { ensureElements } from "../utils.mjs";
export function repeat(sequence, options) {
  const elements = ensureElements(sequence);
  if (typeof options === 'number') {
    return {
      precedence: 'sequence',
      pattern: `${encodeAtomic(elements)}{${options}}`
    };
  }
  return {
    precedence: 'sequence',
    pattern: `${encodeAtomic(elements)}{${options.min},${options?.max ?? ''}}${options.greedy === false ? '?' : ''}`
  };
}
//# sourceMappingURL=repeat.mjs.map