import type { EncodedRegex } from '../types';
/**
 * Start of string anchor. Matches the start of of string. In `multiline` mode, also matches immediately following a newline.
 */
export declare const startOfString: EncodedRegex;
/**
 * End of string anchor. Matches the end of a string. In `multiline` mode, also matches immediately preceding a newline.
 */
export declare const endOfString: EncodedRegex;
/**
 * Word boundary anchor. Matches the position where one side is a word character (alphanumeric or underscore) and the other side is a non-word character (anything else).
 */
export declare const wordBoundary: EncodedRegex;
/**
 * Non-word boundary anchor. Matches the position where both sides are word characters.
 */
export declare const nonWordBoundary: EncodedRegex;
/**
 * @deprecated Renamed to `nonWordBoundary`.
 */
export declare const notWordBoundary: EncodedRegex;
