import type { CharacterEscape, EncodedRegex } from '../types';
/**
 * Matches any single character.
 * Specifically this one is NOT a character escape.
 */
export declare const any: EncodedRegex;
/**
 * Matches any digit (0-9).
 */
export declare const digit: CharacterEscape;
/**
 * Matches any non-digit (0-9) character.
 */
export declare const nonDigit: CharacterEscape;
/**
 * Matches any word character (alphanumeric or underscore).
 */
export declare const word: CharacterEscape;
/**
 * Matches any non-word (alphanumeric or underscore) character.
 */
export declare const nonWord: CharacterEscape;
/**
 * Matches any whitespace character (space, tab, newline, etc.).
 */
export declare const whitespace: CharacterEscape;
/**
 * Matches any non-whitespace (space, tab, newline, etc.) character.
 */
export declare const nonWhitespace: CharacterEscape;
/**
 * @deprecated Renamed to `nonDigit`.
 */
export declare const notDigit: CharacterEscape;
/**
 * @deprecated Renamed to `nonWord`.
 */
export declare const notWord: CharacterEscape;
/**
 * @deprecated Renamed to `nonWhitespace`.
 */
export declare const notWhitespace: CharacterEscape;
